
<h1>Order #<%= @order.id %> <em>on <%= @order.Security %></em></h1>

<%= render :partial=>'portrait/smart_links', locals: { :item_to_portrait=>@order, :shown_is=>:order } %>

<%= link_to 'was triggered by order #%s' % @order.triggered_by_order, order_path(:id=>@order.triggered_by_order) if @order.triggered_by_order%>

<% unless @order.comment.blank? %>
    <p class="comment_text"><%= @order.comment %></p>
<% end %>

<div id="order_spacer" />

<div id="overview"><div><div>
<div class="overview_container">
<table id="order_properties">
  <thead>
    <tr><th colspan="2">Properties</th></tr>
  </thead>
  <tbody>
    <tr><td colspan="2"><%= @order.type %></td></tr>
    <tr><td>Shares</td><td><%= @order.shares %></td></tr>
    <tr><td>Limit</td><td><%= @order.limit %> <%= @order.addon unless @order.addon=='none' %></td></tr>

    <tr><td>Issued at</td><td><%= smr_humanize @order.time_issued %></td></tr>
    <tr><td>Expires at</td><td><%= smr_humanize @order.time_expire %></td></tr>
    <tr><td>Symbol</td><td><%= @order.Security.symbol %> </td></tr>
    <tr><td>Exchange</td><td><%= @order.exchange %></td></tr>
    <tr><td>Broker</td><td><%= @order.Portfolio.name %></td></tr>

    <tr>
        <td colspan="2"><%= case
            when @order.is_pending? then 'Pending Execution'
            when @order.is_executed? then 'Has been Executed'
            when @order.is_canceled? then 'Has been Canceled'
        end %></td>
    </tr>
  </tbody>
</table>
</div>

<% if @order.is_executed? %>
<div class="overview_container">
<table id="order_executed">
  <thead>
    <tr><th colspan="2">Executed with</th></tr>
  </thead>
  <tbody>
    <tr><td>Quote</td><td><%= @order.quote %></td></tr>
    <tr><td>Accrued Interest</td><td><%= smr_humanize @order.accrued_interest %></td></tr>
    <tr><td>Time</td><td><%= smr_humanize @order.time_executed, :date_with_time=>true %></td></tr>
    <tr><td colspan="2">amounts to <span><%= smr_humanize @order.volume, :shortword=>true %></span> total volume</td></tr>
  </tbody>
</table>
</div>
<% end %>

<% if @order.charges > 0 %>
<div class="overview_container">
<table id="order_charges">
  <thead>
    <tr><th colspan="2">Charges</th></tr>
  </thead>
  <tbody>
    <tr><td>Provision</td> <td><%= smr_humanize @order.provision, :scale=>2  %></td></tr>
    <tr><td>Courtage</td>  <td><%= smr_humanize @order.courtage, :scale=>2   %></td></tr>
    <tr><td>Expense</td>   <td><%= smr_humanize @order.expense, :scale=>2    %></td></tr>
    <tr><td>= Total</td>   <td><%= smr_humanize @order.charges, :scale=>2    %></td></tr>
    <tr><td colspan="2">amounts to <span><%= smr_humanize @order.charges_per_kilo, :scale=>1 %></span> per 1k volume</td></tr>
  </tbody>
</table>
</div>
<% end %>

</div></div></div>


<h2>Documents</h2>
<%= render :partial=>'documents/upload_form', locals: { :id=>@order.id, :assign_to=>:order } %>
<% if not @documents.empty? %>
<%=
render :partial=>'documents/filelist',
    locals: {
        :page=>@page, :total_pages=>@total_pages,
        :link_path=>documents_path,
        :collection=>@documents
    }
%>
<% end %>
